OpenShot Audio Library | OpenShotAudio: juce::WildcardFileFilter Class Reference

OpenShot Audio Library | OpenShotAudio 1.0.0

Loading...
Searching...
No Matches
juce::WildcardFileFilter Class Reference

`#include <juce_WildcardFileFilter.h>`

Inheritance diagram for juce::WildcardFileFilter:

## Public Member Functions
| WildcardFileFilter (const String &fileWildcardPatterns, const String &directoryWildcardPatterns, const String &filterDescription)
| ~WildcardFileFilter () override
bool | isFileSuitable (const File &file) const override
bool | isDirectorySuitable (const File &file) const override
Public Member Functions inherited from juce::FileFilter
| FileFilter (const String &filterDescription)
virtual | ~FileFilter ()
const String & | getDescription () const noexcept

## Additional Inherited Members
Protected Attributes inherited from juce::FileFilter
String | description

## Detailed Description

A type of FileFilter that works by wildcard pattern matching.

This filter only allows files that match one of the specified patterns, but allows all directories through.

See also
  FileFilter, DirectoryContentsList, FileListComponent, FileBrowserComponent

Definition at line 37 of file juce_WildcardFileFilter.h.

## Constructor & Destructor Documentation

## ◆ WildcardFileFilter()

juce::WildcardFileFilter::WildcardFileFilter | ( | const String & | fileWildcardPatterns,
|  | const String & | directoryWildcardPatterns,
|  | const String & | filterDescription )

Creates a wildcard filter for one or more patterns.

The wildcardPatterns parameter is a comma or semicolon-delimited set of patterns, e.g. "*.wav;*.aiff" would look for files ending in either .wav or .aiff.

Passing an empty string as a pattern will fail to match anything, so by leaving either the file or directory pattern parameter empty means you can control whether files or directories are found.

The description is a name to show the user in a list of possible patterns, so for the wav/aiff example, your description might be "audio files".

Definition at line 50 of file juce_WildcardFileFilter.cpp.

## ◆ ~WildcardFileFilter()

juce::WildcardFileFilter::~WildcardFileFilter | ( |  | ) |
| override

Destructor.

Definition at line 60 of file juce_WildcardFileFilter.cpp.

## Member Function Documentation

## ◆ isDirectorySuitable()

bool juce::WildcardFileFilter::isDirectorySuitable | ( | const File & | file | ) | const
| overridevirtual

This always returns true.

Implements juce::FileFilter.

Definition at line 69 of file juce_WildcardFileFilter.cpp.

## ◆ isFileSuitable()

bool juce::WildcardFileFilter::isFileSuitable | ( | const File & | file | ) | const
| overridevirtual

Returns true if the filename matches one of the patterns specified.

Implements juce::FileFilter.

Definition at line 64 of file juce_WildcardFileFilter.cpp.

The documentation for this class was generated from the following files:

- juce_WildcardFileFilter.h
- juce_WildcardFileFilter.cpp